System.ServiceModel 4.0.0.0

Implement the interface on a contract behavior (a type) to enable you to modify the code generated when a contract or endpoint is compiled into code.

Typically, a custom inserts a custom contract behavior into the collection during the call to or .

Defines the methods called during contract generation that can be used to modify the generated code for a service contract.

- Method
  4.0.0.0
  System.Void ``

  Use the to modify the contract, operations, or the prior to code generation.

  Implement to modify the code document object model prior to the contract generation process.

  The code generated context to use to modify the code document prior to generation.